Bug 1668478 - Failed to Purge Cluster
Summary: Failed to Purge Cluster
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 3.3
Assignee: Dimitri Savineau
QA Contact: Vasishta
Bara Ancincova
URL:
Whiteboard:
Depends On:
Blocks: 1726135
TreeView+ depends on / blocked
 
Reported: 2019-01-22 20:33 UTC by acalhoun
Modified: 2019-08-21 15:10 UTC (History)
12 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.15-1.el7cp Ubuntu: ceph-ansible_3.2.15-2redhat1
Doc Type: Bug Fix
Doc Text:
.It is now possible to use Ansible playbooks without copying them to the root `ceph-ansible` directory Due to the missing `library` variable in the Ansible configuration, the custom Ansible modules were not detected when executed playbooks were present in the `infrastructure-playbooks` directory. Consequently, it was not possible to run the infrastructure playbooks without copying them into the root `ceph-ansible` directory. This update adds the `library` variable to the Ansible configuration. As a result, it is possible to use playbooks in the `infrastructure-playbooks` without copying them, for example: ---- # ansible-playbook infrastructure-playbooks/purge-cluster.yml -i inventory_file ----
Clone Of:
Environment:
Last Closed: 2019-08-21 15:10:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3615 0 None closed ansible.cfg: Add library path to configuration 2020-04-01 20:29:49 UTC
Github ceph ceph-ansible pull 3901 0 None closed ansible.cfg: Add library path to configuration 2020-04-01 20:29:49 UTC
Red Hat Product Errata RHSA-2019:2538 0 None None None 2019-08-21 15:10:49 UTC

Description acalhoun 2019-01-22 20:33:05 UTC
Description of problem:
With the default installation of ceph-ansible users are unable to purger cluster due to the following error:

Using /usr/share/ceph-ansible/ansible.cfg as config file 
ERROR! no action detected in task. This often indicates a misspelled module name, or incorrect module path. 

The error appears to have been in '/usr/share/ceph-ansible/infrastructure-playbooks/purge-docker-cluster.yml': line 457, column 11, but may 
be elsewhere in the file depending on the exact syntax problem. 

The offending line appears to be: 

     block: 
       - name: zap and destroy osds created by ceph-volume with lvm_volumes 
         ^ here 
~              

If the purge-cluster.yml is copied to the /usr/share/ceph-ansible this error is resolved. the issue with coping this file into the base ceph-ansible directory is that it's dangerous, because a ceph-ansible RPM upgrade will not upgrade these copies (unless we can use softlinks) which causes incompatibility issues.


Version-Release number of selected component (if applicable):
RHCS 3.2 GA

How reproducible:


Steps to Reproduce:
1. install using ceph-ansible
2. cd /usr/share/ceph-ansible
3. ansible-playbook infrastructure-playbooks/purge-cluster.yml -i inventory_file

Actual results:


Expected results:
 it should be unnecessary to copy purge-cluster.yml or purge-docker-cluster.yml from infrastructure-playbooks to /usr/share/ceph-ansible

Additional info:

Comment 6 Erin Donnelly 2019-07-09 18:18:08 UTC
Hi Dimitri, do you think this bug fix should be included in the release notes for 3.3/would the customer be interested to know about this fix? If so, could you fill in the Doc Text field of the BZ?

Comment 11 errata-xmlrpc 2019-08-21 15:10:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2538


Note You need to log in before you can comment on or make changes to this bug.